@ECHO OFF
REM --type= CHANGEBAR CCHANGEBAR CULINECHBAR CFONTCHBAR
SET difftype=--type=CULINECHBAR
SET latexdiffarg=%difftype% --flatten --ignore-warnings  
SET latexdiffconf=latexdiff.cfg
REM --- Write to config file --------------------------------------------------------
ECHO.MINWORDSBLOCK=^3> %latexdiffconf%
REM ECHO.PICTUREENV=^(?:picture^|equationarray^|DIFnomarkup)[\w\d*@]*>> %latexdiffconf%
REM ---------------------------------------------------------------------------------
SET discletter=e:
SET diffdir=%discletter%\tmp\diff\
SET mainfile=main.tex
SET recentvers=%diffdir%neu\%mainfile%
SET oldvers=%diffdir%alt\%mainfile%
SET outfiledir=%diffdir%neu\
SET outfile=diff.tex
REM ############################################################################### *
REM --- LaTeX Kommandos ------------------------------------------------------------
REM   (die letzte aktive Zeile bestimmt das LaTeX-Kommando) -------
REM 1.) Erzeugung von PDF-Dateien mit PDFlatex:
SET latexcommand=pdflatex -interaction=nonstopmode -synctex=-1 "\pdfoutput=1 " "\input"
REM PDFlatex-Aufrufvarianten zum Debuggen
REM SET latexcommand=pdflatex -draftmode -halt-on-error -interaction=errorstopmode
REM .................................................................................
REM 2.) Erzeugung von DVI-Dateien mit PDFlatex:
REM SET latexcommand=pdflatex -interaction=nonstopmode -synctex=-1 "\pdfoutput=0 " "\input"
REM DVI-PDFlatex-Aufrufvarianten zum Debuggen
REM SET latexcommand=pdflatex -draftmode -interaction=errorstopmode -synctex=0 "\pdfoutput=0 " "\input"
REM .................................................................................
REM 3.) Traditionelle Erzeugung von DVI-Dateien mit latex:
REM SET latexcommand=latex -interaction=nonstopmode  
REM Latex-Aufrufvarianten zum Debuggen
REM SET latexcommand=latex -draftmode -halt-on-error -interaction=errorstopmode
REM .................................................................................
REM ############################################################################### *
SET line=----------------------------------------------------------------------------
REM invoking latexdiff perl script
SET miktexperl=C:\Programme\MiKTeX 2.8\miktex\bin\perl.exe
SET activeperl=C:\Perl\bin\perl.exe
SET plscriptdir=C:\Programme\MiKTeX 2.8\scripts\latexdiff\perl
REM ---
REM ############################################################################### *
REM Portability of latexdiff:                                                       *
REM The standard version of latexdiff requires installation of the Perl package     *
REM Algorithm::Diff (available from www.cpan.org -                                  *
REM http://search.cpan.org/~nedkonz/Algorithm-Diff-1.15 )                           *
REM but a stand-alone version, latexdiff-so, which has this package inlined,        *
REM is available, too. latexdiff-fast requires the diff command to be present.      *
REM ############################################################################### *
REM Installation under MiKTeX, vers. 2.8                                            *
REM The new perl needs to be installed (sorry)                                      *
REM ############################################################################### *
ECHO.%line%
ECHO.
"%activeperl%" "%plscriptdir%\latexdiff-so.pl" -c %latexdiffconf% --show-all

ECHO.
ECHO.%line%
ECHO.
REM pause
cls
REM GOTO :EOF

REM --- Perl Script aufrufen: --------------------------------------------------------
@ECHO ON
"%activeperl%" "%plscriptdir%\latexdiff-so.pl" -c %latexdiffconf% %latexdiffarg% "%oldvers%" "%recentvers%" > "%outfiledir%%outfile%"
@ECHO OFF
ECHO.%line%
ECHO.
pause
REM --- Wechsel zu dem Laufwerk, wechsel anschlieend ins Verzeichnis ---------------
%discletter%
cd %outfiledir%
REM --- Fhre das LaTeX-Kommando aus ------------------------------------------------
ECHO.%line%
ECHO.
@ECHO ON
%latexcommand% %outfile%
@ECHO OFF
ECHO.
ECHO.%line%
ECHO.
REM --- evtl. mu die Datei zweimal bersetzt werden, z.B. um die Changebars zu erstellen.
%latexcommand% %outfile%
pause

